Subject: Re: strange uniqueMemberMatch

From: Steven Legg <[email-masked]>
Date: Mon, 01 Mar 2004 16:13:16 +1100

Hallvard,

Hallvard B Furuseth wrote:
> Any progress with this?

No. The last correspondence with the X.500 group I had on this issue was
on October 31, 2003. They remember discussing it and deciding on a solution
but it seems no one can put their finger on what the resolution was.

I think Skip is editing the amendments for the next edition of X.500 so perhaps
he can tell us if the description of uniqueMember has been updated.

> It's been a year now.  I asked before, but I don't think anyone answered.

Probably my fault. Sorry!

Regards,
Steven

> 
> http://www.OpenLDAP.org/lists/ietf-ldapbis/200301/msg00027.html
> http://www.OpenLDAP.org/lists/ietf-ldapbis/200301/msg00029.html
> 
> At 08 Jan 2003, Kurt D. Zeilenga wrote:
> 
>>At 08:36 PM 1/5/2003, Steven Legg wrote:
>>
>>>The uniqueMemberMatch rule is an equality matching rule that is not
>>>commutative, which causes problems in deciding whether attribute values
>>>are equal or not when adding or deleting values. I've raised this with
>>>the X.500 working group and I'm waiting to see how they resolve it.
>>
>>We likely should nudge them on this.  The current
>>definition is, I think, problematic because uniqueMember
>>is not single-valued.
> 
>